import { Borsh, Transaction } from '@leda-mint-io/lpl-core';
import { PublicKey, TransactionCtorFields } from '@solana/web3.js';
import { VaultInstructions } from '../VaultProgram';
export declare class SetVaultAuthorityArgs extends Borsh.Data {
    static readonly SCHEMA: any;
    instruction: VaultInstructions;
}
declare type SetVaultAuthorityParams = {
    vault: PublicKey;
    currentAuthority: PublicKey;
    newAuthority: PublicKey;
};
export declare class SetVaultAuthority extends Transaction {
    constructor(options: TransactionCtorFields, params: SetVaultAuthorityParams);
}
export {};
